package com.pj.tb_order_goods;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_order_goods -- 订单商品表
 * @author lbl
 */
@RestController
@RequestMapping("/TbOrderGoods/")
public class TbOrderGoodsController {

	/** 底层 Service 对象 */
	@Autowired
	TbOrderGoodsService tbOrderGoodsService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(TbOrderGoods.PERMISSION_CODE_ADD)
	public AjaxJson add(TbOrderGoods t){
		tbOrderGoodsService.add(t);
		t = tbOrderGoodsService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(TbOrderGoods.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbOrderGoodsService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbOrderGoods.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(TbOrderGoods.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(TbOrderGoods.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbOrderGoods t){
		tbOrderGoodsService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(TbOrderGoods.PERMISSION_CODE)
	public AjaxJson getById(String id){
		TbOrderGoods t = tbOrderGoodsService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(TbOrderGoods.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<TbOrderGoods> list = tbOrderGoodsService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}



	/** 改 - 删除状态(0=禁用,1=启用) */
	@RequestMapping("updateDeleteStatus")
	@SaCheckPermission(TbOrderGoods.PERMISSION_CODE_EDIT)
	public AjaxJson updateDeleteStatus(String id, String value){
		int line = SP.publicMapper.updateColumnById(TbOrderGoods.TABLE_NAME, "delete_status", value, id);
		return AjaxJson.getByLine(line);
	}







}
